Bug 1442412 - VGAuthService startup fails due to missing /var/run/vmware directory on RHEL 6
Summary: VGAuthService startup fails due to missing /var/run/vmware directory on RHEL 6
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: open-vm-tools
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-14 16:00 UTC by Steve Muskiewicz
Modified: 2020-12-28 01:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 15:04:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve Muskiewicz 2017-04-14 16:00:56 UTC
Description of problem:  The default open-vm-tools package from EPEL for RH 6 appears to have a packaging bug where the /var/run/vmware directory doesn't get created.  As a result of this, the VGAuthService fails to start up during boot.


Version-Release number of selected component (if applicable): open-vm-tools-10.1.5-5.el6.x86_64


How reproducible: 100%


Steps to Reproduce:
1. Enable EPEL for Red Hat 6
2. "yum install open-vm-tools"
3. Boot up and observe "FAILED" startup of "VGAuthService"
4. Look in /var/log/vmware-vgauthsvc.log.0, startup error appears to be due to inability to write PID file in /var/run/vmware directory (which does not exist)

Actual results:
Failed VGAuthService startup

Expected results:
VGAuthService should start properly

Additional info:
Creating the /var/run/vmware and then running "service vgauth start" fixes the issue.

Comment 1 Ben 2018-02-01 09:02:49 UTC
Can verify this is happening on my servers, too.  Additionally that the manual fix works.

Comment 2 Kenneth McDowell II 2018-08-24 14:19:14 UTC
Is this going to be fixed?

Comment 3 Alexander Kohr 2019-10-22 19:24:22 UTC
Just to document it, the open-vm-tools.x86_64 10.1.5-6.el6 version of the package still has the issue and the manual fix still works.  

Also It apears the latest stable build for kernel 2.6.6+ of open-vm-tools on git is 10.1.15.

Comment 4 Ben Cotton 2020-11-05 16:52:59 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is our policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora, you are encouraged  change the 'version' to a later Fedora version prior this bug is closed as described in the policy above.

Comment 5 Ben Cotton 2020-11-05 16:55:36 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version, you are encouraged to change the 'version' to a later version prior this bug is closed as described in the policy above.

Comment 6 Ben Cotton 2020-11-30 15:04:59 UTC
EPEL el6 changed to end-of-life (EOL) status on 2020-11-30. EPEL el6 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
EPEL please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.